/**
 * Data model pour les armes
 */
export default class ArmeDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      armetype: new fields.StringField({ initial: "" }),
      porteecourte: new fields.StringField({ initial: "" }),
      porteemoyenne: new fields.StringField({ initial: "" }),
      dommagenormale: new fields.NumberField({ initial: 0, integer: true }),
      dommagepart: new fields.NumberField({ initial: 0, integer: true }),
      dommagecritique: new fields.NumberField({ initial: 0, integer: true }),
      dommagecritiqueKO: new fields.BooleanField({ initial: false }),
      dommagecritiquemort: new fields.BooleanField({ initial: false }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
